package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.illegalParking.IllegalParking;

import java.util.List;


/**
 * 违章停车登记Mapper接口
 * 
 * @author boman
 * @date 2025-02-14
 */
public interface IllegalParkingMapper 
{
    /**
     * 查询违章停车登记
     * 
     * @param illegalParkingId 违章停车登记主键
     * @return 违章停车登记
     */
    public IllegalParking selectIllegalParkingByIllegalParkingId(Long illegalParkingId);

    /**
     * 查询违章停车登记列表
     * 
     * @param illegalParking 违章停车登记
     * @return 违章停车登记集合
     */
    public List<IllegalParking> selectIllegalParkingList(IllegalParking illegalParking);
    public List<IllegalParking> selectIllegalParkingByPlateNumber(String plateNumber);

    /**
     * 新增违章停车登记
     * 
     * @param illegalParking 违章停车登记
     * @return 结果
     */
    public int insertIllegalParking(IllegalParking illegalParking);

    /**
     * 修改违章停车登记
     * 
     * @param illegalParking 违章停车登记
     * @return 结果
     */
    public int updateIllegalParking(IllegalParking illegalParking);

    /**
     * 删除违章停车登记
     * 
     * @param illegalParkingId 违章停车登记主键
     * @return 结果
     */
    public int deleteIllegalParkingByIllegalParkingId(Long illegalParkingId);

    /**
     * 批量删除违章停车登记
     * 
     * @param illegalParkingIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteIllegalParkingByIllegalParkingIds(Long[] illegalParkingIds);
}
